[gelöst] XFCE / Stretch: Youtube Video : Firefox stürzt ab

Du hast Probleme mit Deinem eMail-Programm, Webbrowser oder Textprogramm? Dein Lieblingsprogramm streikt?
Antworten
Benutzeravatar
geier22
Beiträge: 2366
Registriert: 23.02.2014 09:43:01
Wohnort: Berlin

[gelöst] XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von geier22 » 09.10.2015 02:52:27

Hab mal wieder ein Problem:

Sowie ich versuche z.B. auf Youtube ein Video abzuspielen, stürzt Firefox ab.
Auch bei diesem Link
stürzt FF sofort ab.

Den Seiten ist gemeinsam das dort Flash - Videos vorhanden sind.

Tatort : XFCE / Stretch Firefox 41 bzw 42

Leider kann ich den Zeitpunkt nicht genau sagen (auf jeden Fall nach dem 04.10.), da ich mich nicht jeden Tag auf Youtube herumtreibe

Ich bin mit inzwischen sicher, dass es ausschließlich an dem Zustand von XFCE / Stretch liegt.

Folgendes habe ich überprüft:

Das Profil von FF (XFCE) ist identisch mit dem von FF auf KDE /Jessie (Beide Systeme greifen auf den gleichen Ordner zu (Symlink in XFCE). In KDE gibt es keine Probleme (selbe FF-Version)

Ein neues Profil(leer) in XFCE anlegen hat hat nichts gebracht.
Eine Komplette Neuinstallation FF 42 mit leerem Profil auch nichts.
Das gleich Profil läuft auch auf KDE / Stretch fehlerfrei.

Ich habe dann versuchsweise Chromium installiert. Dort tritt der Fehler nicht auf.

Ich bin der Meinung dass sich irgendetwas bei den letzten Updates verändert hat,
bzw. ich etwas unüberlegt apt-get autoremove ausgeführt habe.

Leider werde ich aus den Fehlerprotokollen nicht so recht schlau, und ich hoffe das ihr mehr erkennen könnt:

1. Fehlermeldungen : FF aus Konsole gestartet NoPaste-Eintrag38868
2. RAW - Dump aus FF direkt NoPaste-Eintrag38866
3. Apt-History.log ab 04.10.201 NoPaste-Eintrag38867
4. Firefox-Einstellungen NoPaste-Eintrag38869

Ich hoffe, das die Infos reichen, um mir einen Tipp zu geben, woran es liegen könnte.
Zuletzt geändert von geier22 am 11.10.2015 06:28:01, insgesamt 1-mal geändert.
4.13.0-1-amd64 #1 SMP Debian 4.13.4-2 (2017-10-15) (Buster)/ XFCE 4.12.3 / Asrock Fatal1ty 970 Performance 3.1 / AMD FX-6300 / 16GB RAM / Nvidia GTX 750 TI (Treiber 375.82-8) / HP LP3065

WernerFP
Beiträge: 261
Registriert: 30.07.2013 11:16:58

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von WernerFP » 09.10.2015 15:01:16

Reproduzieren kann ich die Abstürze nicht und sehe an deinen Einstellungen und Addons nichts vordergründig Verdächtiges.
Was in bestimmten Konstellationen immer wieder zu Abstürzen des Firefox führen kann, ist Debiangstreamer1.0-vaapi --> Google. In deinem Raw-Dump habe ich keine libgstvaapi.so gefunden...
Allerdings finde ich dort auch keine libflashplayer.so; ist dein Flash aktuell (11.2r202)?

Wenn du den Firefox aus der Originalquelle hast, stehen dir – insofern in den Einstellungen scharf geschaltet – über about:crashes die Absturzberichte zur Verfügung. Die würden konkretere Hinweise geben.

Gruß, Werner

Benutzeravatar
geier22
Beiträge: 2366
Registriert: 23.02.2014 09:43:01
Wohnort: Berlin

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von geier22 » 09.10.2015 17:27:22

WernerFP hat geschrieben:Allerdings finde ich dort auch keine libflashplayer.so; ist dein Flash aktuell (11.2r202)?
Hatte ich vergessen zu erwähnen:
Als das Theater losging, war meinen erste Vermutung, daß es am Flash-Player liegt. Den Habe ich dann deinstalliert (ist jetzt immer noch so)

WernerFP hat geschrieben:Wenn du den Firefox aus der Originalquelle hast, stehen dir – insofern in den Einstellungen scharf geschaltet – über about:crashes die Absturzberichte zur Verfügung. Die würden konkretere Hinweise geben
Der NoPaste Link unten ist der Absturzberichicht aus FF. Hier nochmal:

RAW - Dump aus FF NoPaste-Eintrag38866

Allerdings ist die ganze Geschichte dort sehr Bunt mit diversen Tabs
Der erste Tab (Details) Hat folgenden Inhalt:

Code: Alles auswählen

Signature 	libc-2.19.so@0x35107 More Reports Search
UUID 	7f3a0052-011e-470e-a489-173662151009
Date Processed 	2015-10-09 14:37:42.178243
Uptime 	29
Last Crash 	185 seconds before submission
Install Age 	34752 since version was first installed.
Install Time 	2015-10-09 04:57:51
Product 	Firefox
Version 	42.0b4
Build ID 	20151005144425
Release Channel 	beta
OS 	Linux
OS Version 	0.0.0 Linux 4.2.0-1-amd64 #1 SMP Debian 4.2.1-2 (2015-09-27) x86_64
Build Architecture 	amd64
Build Architecture Info 	family 21 model 2 stepping 0 | 1
Crash Reason 	SIGABRT
Crash Address 	0x3e800005166
User Comments 	
App Notes 	

OpenGL: NVIDIA Corporation -- GeForce GT 440/PCIe/SSE2 -- 4.4.0 NVIDIA 340.93 -- texture_from_pixmap

Processor Notes 	ip-172-31-13-176.1288:2015; MozillaProcessorAlgorithm2015; skunk_classifier: reject - not a plugin hang
EMCheckCompatibility 	

True
Dann (alles in rot hinterlegt):

Code: Alles auswählen

Crashing Thread
Frame 	Module 		                   Signature 			                                            Source
Ø 0 	libc-2.19.so 							libc-2.19.so@0x35107 	
Ø 1 	libc-2.19.so 							libc-2.19.so@0xf64e6 	
Ø 2 	libc-2.19.so 							libc-2.19.so@0xf64af 	
Ø 3 	libgstfaad.so 							libgstfaad.so@0x21c1 	
Ø 4 	libgstaudio-0.10.so.0.25.0 		libgstaudio-0.10.so.0.25.0@0x134ca 	
Ø 5 	libgstaudio-0.10.so.0.25.0 		libgstaudio-0.10.so.0.25.0@0x133ff 	
Ø 6 	libgstreamer-0.10.so.0.30.0 		libgstreamer-0.10.so.0.30.0@0x5612e 	
Ø 7 	libgstreamer-0.10.so.0.30.0 		libgstreamer-0.10.so.0.30.0@0x57dba 	
Ø 8 	libgstreamer-0.10.so.0.30.0 		libgstreamer-0.10.so.0.30.0@0x5c1c7 	
Ø 9 	libgstbase-0.10.so.0.30.0 			libgstbase-0.10.so.0.30.0@0x135aa 	
Ø 10 	libgobject-2.0.so.0.4600.0 		libgobject-2.0.so.0.4600.0@0x14cce 	
Ø 11 	libgstbase-0.10.so.0.30.0 			libgstbase-0.10.so.0.30.0@0x14a3b 	
Ø 12 	libgobject-2.0.so.0.4600.0 		libgobject-2.0.so.0.4600.0@0x16a6d 	
Ø 13 	libgstreamer-0.10.so.0.30.0 		libgstreamer-0.10.so.0.30.0@0x57e69 	
Ø 14 	libgstbase-0.10.so.0.30.0 			libgstbase-0.10.so.0.30.0@0x147ef 	
Ø 15 	libgstreamer-0.10.so.0.30.0 		libgstreamer-0.10.so.0.30.0@0xa5c10 	
Ø 16 	libgstreamer-0.10.so.0.30.0 		libgstreamer-0.10.so.0.30.0@0x5c1c7 	
Ø 17 	libgstcoreelements.so 				libgstcoreelements.so@0x1dbac 	
Ø 18 	libglib-2.0.so.0.4600.0 			libglib-2.0.so.0.4600.0@0x8e09f 	
Ø 19 	libgstreamer-0.10.so.0.30.0 		libgstreamer-0.10.so.0.30.0@0x81b72 	
Ø 20 	libglib-2.0.so.0.4600.0 			libglib-2.0.so.0.4600.0@0x712ed 	
Ø 21 	libglib-2.0.so.0.4600.0 			libglib-2.0.so.0.4600.0@0x70954 	
Ø 22 	libpthread-2.19.so 					libpthread-2.19.so@0x80a3 	
Ø 23 	libc-2.19.so 							libc-2.19.so@0xe606c
Meine Vermutung ist das apt-get autoremove - Massaker, das nach der Deinstallation von Nautilus zustande kam, und dem ich dummerweise zugestimmt hatte verantwortlich ist.
Den Log hatte ich schon im Ersten Beitrag angegeben: Apt-History.log ab 04.10.201 NoPaste-Eintrag38867
Zeitpunkt des Massakers:
Start-Date: 2015-10-04 23:40:27
Commandline: apt-get autoremove

Im Grunde ist das Einzige, was mir einfällt das ganze Zeugs, was da deinstalliert wurde wieder zu installieren. Allerdings eine ziemlich "blinde Aktion" :cry:
4.13.0-1-amd64 #1 SMP Debian 4.13.4-2 (2017-10-15) (Buster)/ XFCE 4.12.3 / Asrock Fatal1ty 970 Performance 3.1 / AMD FX-6300 / 16GB RAM / Nvidia GTX 750 TI (Treiber 375.82-8) / HP LP3065

WernerFP
Beiträge: 261
Registriert: 30.07.2013 11:16:58

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von WernerFP » 09.10.2015 18:57:14

Danke für den Crashreport in rot :)
Die Crashes hängen also mit einer (fehlenden?) gstreamer-Komponente zusammen. Die hier fehlt dir nach dem Ausputzen von Nautilus:

Code: Alles auswählen

Start-Date: 2015-10-04  23:40:27
Commandline: apt-get autoremove
gir1.2-gstreamer-1.0:amd64 (1.6.0-1)
Bringt das Nachinstallieren Abhilfe?

Gruß, Werner

Benutzeravatar
geier22
Beiträge: 2366
Registriert: 23.02.2014 09:43:01
Wohnort: Berlin

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von geier22 » 10.10.2015 00:10:24

WernerFP hat geschrieben:Bringt das Nachinstallieren Abhilfe?
Leider nein :cry:
Hab den Flash Player wieder installiert - bringt auch nichts

Was mich ein bißchen wundert: Die Suche nach der libc-2.19 ergibt 4 Dateien unterschiedlicher Grösse

Code: Alles auswählen

/lib/x86_64-linux-gnu/libc-2.19.so                          (1689,4 kB Tue Sep 22 02:58:33 2015)
/lib/i386-linux-gnu/i686/cmov/libc-2.19.so                  (1697,7 kB Tue Sep 22 05:12:52 2015)
/lib/i386-linux-gnu/libc-2.19.so                            (1469,4 kB Tue Sep 22 05:10:36 2015)
/lib32/libc-2.19.so                                         (1697,7 kB Tue Sep 22 02:59:45 2015)
Hab noch was gefunden, vielleicht hilft das ja weiter (xsession-errors)Die Datei libc.so.6 gibt es bei mir nicht:
richtig: libc.so.6 --> libc-2.19.so

Code: Alles auswählen

*** stack smashing detected ***: /usr/bin/firefox terminated
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x7320f)[0x7fe8c5ecc20f]
/lib/x86_64-linux-gnu/libc.so.6(__fortify_fail+0x37)[0x7fe8c5f4f4e7]
/lib/x86_64-linux-gnu/libc.so.6(__fortify_fail+0x0)[0x7fe8c5f4f4b0]
/usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstfaad.so(+0x21c2)[0x7fe8774db1c2]
/usr/lib/x86_64-linux-gnu/libgstaudio-0.10.so.0(+0x134cb)[0x7fe879efc4cb]
/usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0(gst_pad_set_caps+0x18f)[0x7fe87c85f12f]
/usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0(+0x57dbb)[0x7fe87c860dbb]
/usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0(gst_pad_push+0x1e8)[0x7fe87c8651c8]
/usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0(gst_base_parse_push_frame+0xbdb)[0x7fe87c3ac5ab]
/usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0(+0x14a3c)[0x7fe87c3ada3c]
/usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0(+0x57e6a)[0x7fe87c860e6a]
/usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0(gst_pad_push+0x1e8)[0x7fe87c8651c8]
/usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so(+0x1dbad)[0x7fe87b63ebad]
/usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0(+0x81b73)[0x7fe87c88ab73]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x712ee)[0x7fe8bdf222ee]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x70955)[0x7fe8bdf21955]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x80a4)[0x7fe8c6ec10a4]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d)[0x7fe8c5f3f06d]
======= Memory map: ========
Zuletzt geändert von geier22 am 10.10.2015 10:05:02, insgesamt 1-mal geändert.
4.13.0-1-amd64 #1 SMP Debian 4.13.4-2 (2017-10-15) (Buster)/ XFCE 4.12.3 / Asrock Fatal1ty 970 Performance 3.1 / AMD FX-6300 / 16GB RAM / Nvidia GTX 750 TI (Treiber 375.82-8) / HP LP3065

Benutzeravatar
geier22
Beiträge: 2366
Registriert: 23.02.2014 09:43:01
Wohnort: Berlin

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von geier22 » 10.10.2015 09:30:34

Noch ne Ergänzung:
Hab gerade die Beispiele auf dieser Seite getestet;
http://t3n.de/news/flash-tot-zehn-beein ... de-515046/

Alle Beispiele werden problemlos dargestellt. Bis auf:

HTML5-Games
HTML5 Video-Destruction

Der Aufruf dieser Beispiele provoziert ebenfalls den sofortigen Absturz.
4.13.0-1-amd64 #1 SMP Debian 4.13.4-2 (2017-10-15) (Buster)/ XFCE 4.12.3 / Asrock Fatal1ty 970 Performance 3.1 / AMD FX-6300 / 16GB RAM / Nvidia GTX 750 TI (Treiber 375.82-8) / HP LP3065

WernerFP
Beiträge: 261
Registriert: 30.07.2013 11:16:58

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von WernerFP » 10.10.2015 13:06:47

Wie gut, dass du die Datei libc.so.6 doch noch gefunden hast! Die gehört als Bestandteil von Debianlibc6zu den essenziellen C-Bibliotheken.
Die unterschiedlichen libc-2.19.so sind die 32- und 64-Bit-Libraries aus diesen Paketen. Das sieht m. E. alles gut aus. Ich vermute ja eher ein Codec-Problem.

Im Crashreport sind u. a. libgstreamer-0.10.so und libgstbase-0.10.so aufgeführt. Die gehören zu dem Paket Debianlibgstreamer0.10-dev, was im gegebenen Rahmen nicht benötigt wird.
Bei mir sind in der reibungslos laufenden Kombi von Stretch, Xfce4 und Firefox 41.0.1 diese GStreamer-Komponenten installiert:

Code: Alles auswählen

$ dpkg -l | grep gstreamer | cut -d\  -f1,2,3
ii  gir1.2-gstreamer-1.0
ii  gstreamer0.10-alsa:amd64
ii  gstreamer0.10-gconf:amd64
ii  gstreamer0.10-plugins-bad:amd64
ii  gstreamer0.10-plugins-base:amd64
ii  gstreamer0.10-plugins-good:amd64
ii  gstreamer0.10-pulseaudio:amd64
ii  gstreamer0.10-x:amd64
ii  gstreamer1.0-libav:amd64
ii  gstreamer1.0-plugins-bad:amd64
ii  gstreamer1.0-plugins-base:amd64
ii  gstreamer1.0-plugins-good:amd64
ii  gstreamer1.0-plugins-ugly:amd64
ii  gstreamer1.0-pulseaudio:amd64
ii  gstreamer1.0-x:amd64
ii  libgstreamer-plugins-bad0.10-0:amd64
ii  libgstreamer-plugins-bad1.0-0:amd64
ii  libgstreamer-plugins-base0.10-0:amd64
ii  libgstreamer-plugins-base0.10-0:i386
ii  libgstreamer-plugins-base1.0-0:amd64
ii  libgstreamer0.10-0:amd64
ii  libgstreamer0.10-0:i386
ii  libgstreamer1.0-0:amd64
Auf einem Arch-Rechner habe ich mit den Codecs mal solange herumprobiert, bis ich herausgefunden hatte, wie der Firefox bei der Verwendung tickt. In Debian sind die GStreamer-Pakete anders geschnürt, da musste ich jetzt erst einmal in die Pakete reingucken und vergleichen – deshalb meine verzögerte Antwort.

Für die Zusammenarbeit mit dem Firefox braucht es essenziell:

Code: Alles auswählen

gstreamer1.0-libav
gstreamer1.0-plugins-bad
gstreamer1.0-plugins-base
gstreamer1.0-plugins-good
gstreamer1.0-plugins-ugly
gstreamer1.0-x
Für xfce4:

Code: Alles auswählen

gstreamer0.10-x
gstreamer0.10-plugins-base
gstreamer0.10-plugins-good
Für den xfce4-mixer:

Code: Alles auswählen

gstreamer0.10-alsa
Optional für PulseAudio-Support des xfce4-mixer:

Code: Alles auswählen

gstreamer0.10-pulseaudio
Die libgstreamer-Pakete werden automatisch mitinstalliert.

Bei dem HTML5 Video-Destruction-Beispiel handelt es sich um H264. Dafür wird gstreamer1.0-libav benötigt. Youtube fällt beim Fehlen des Codecs auf WebM mit niedriger Auflösung zurück; bei der Beispielseite wäre als Ursache denkbar, dass eine Rückfallmöglichkeit fehlt.
Falls uns das nicht weiterbringt, wäre ein Blick auf eventuell auszuschaltende Hardwarebeschleunigung gut.

Gruß, Werner

tomi89
Beiträge: 239
Registriert: 21.08.2014 00:21:52

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von tomi89 » 10.10.2015 13:07:51

Sind die Gstreamer Plugins installiert? Vor allem das Bad Plugin.

Benutzeravatar
geier22
Beiträge: 2366
Registriert: 23.02.2014 09:43:01
Wohnort: Berlin

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von geier22 » 10.10.2015 15:07:01

@WernerFP: man du machst dir ja echt Mühe :hail: Ich hoffe bloß, das zum Ende eine Lösung zu finden ist. Denke schon über ein Neu-Installation nach :x

Hier erst mal die Ausgabe:

Code: Alles auswählen

hans@sparkyxfce:~$ dpkg -l | grep gstreamer | cut -d\  -f1,2,3
ii  gir1.2-gstreamer-0.10
ii  gir1.2-gstreamer-1.0
ii  gstreamer-tools
ii  gstreamer0.10-alsa:amd64
ii  gstreamer0.10-crystalhd
ii  gstreamer0.10-ffmpeg:amd64
ii  gstreamer0.10-fluendo-mp3:amd64
ii  gstreamer0.10-gconf:amd64
ii  gstreamer0.10-gnomevfs:amd64
ii  gstreamer0.10-nice:amd64
ii  gstreamer0.10-plugins-bad:amd64
ii  gstreamer0.10-plugins-base:amd64
ii  gstreamer0.10-plugins-base-apps
ii  gstreamer0.10-plugins-good:amd64
ii  gstreamer0.10-plugins-really-bad:amd64
ii  gstreamer0.10-plugins-ugly:amd64
ii  gstreamer0.10-pulseaudio:amd64
ii  gstreamer0.10-tools
ii  gstreamer0.10-x:amd64
ii  gstreamer1.0-libav:amd64
ii  gstreamer1.0-plugins-bad:amd64
ii  gstreamer1.0-plugins-base:amd64
ii  gstreamer1.0-plugins-good:amd64
ii  gstreamer1.0-plugins-ugly:amd64
ii  gstreamer1.0-pulseaudio:amd64
ii  gstreamer1.0-x:amd64
ii  libgstreamer-plugins-bad0.10-0:amd64
ii  libgstreamer-plugins-bad1.0-0:amd64
ii  libgstreamer-plugins-base0.10-0:amd64
rc  libgstreamer-plugins-base0.10-0:i386
ii  libgstreamer-plugins-base1.0-0:amd64
ii  libgstreamer-vaapi1.0-0:amd64
ii  libgstreamer0.10-0:amd64
rc  libgstreamer0.10-0:i386
ii  libgstreamer1.0-0:amd64
ii  phonon-backend-gstreamer:amd64
ii  phonon-backend-gstreamer-common:amd64
sollte alles vorhanden sein und noch einige Dateien mehr.
4.13.0-1-amd64 #1 SMP Debian 4.13.4-2 (2017-10-15) (Buster)/ XFCE 4.12.3 / Asrock Fatal1ty 970 Performance 3.1 / AMD FX-6300 / 16GB RAM / Nvidia GTX 750 TI (Treiber 375.82-8) / HP LP3065

WernerFP
Beiträge: 261
Registriert: 30.07.2013 11:16:58

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von WernerFP » 10.10.2015 16:01:17

Das Paket Debianlibgstreamer-vaapi1.0-0 ist installiert. VAAPI macht erfahrungsgemäß viel Ärger. Ich würde diese fragwürdige Videobeschleunigung deinstallieren. (Den letzten Firefox-Crash hatte ich im Juni 2014, und der lag an VAAPI)

Ansonsten sind alle Codecs da, die's braucht. Die einzige Idee, die ich im Moment noch habe – wenn's nicht an VAAPI liegen sollte – ist das Deaktivieren der Hardwarebeschleunigung unter about:preferences#advanced.

Gruß, Werner

Benutzeravatar
geier22
Beiträge: 2366
Registriert: 23.02.2014 09:43:01
Wohnort: Berlin

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von geier22 » 10.10.2015 16:19:51

Ne beides hat keinen Erfolg gebracht. :evil: :evil: :evil:

Jetzt werde ich mal in aller Ruhe über ne Neuinstallation nachdenken. Zu Not hab ich je noch Chromium, wo das alles funktioniert.
Es eilt ja nicht - sonst ist mir bisher keinerlei Fehlfunktion bei XFCE aufgefallen.
Hoffe bloß, daß es nicht an den Nvidia-Treibern liegt, die direkt vorher (Zeitpunkt an dem ich es bemerkt habe) installiert wurden (update auf 340.93-3)

Hab erst mal vielen Dank für deine geduldige Hilfe, wenn es auch keine Lösung gab. :THX: :THX:
4.13.0-1-amd64 #1 SMP Debian 4.13.4-2 (2017-10-15) (Buster)/ XFCE 4.12.3 / Asrock Fatal1ty 970 Performance 3.1 / AMD FX-6300 / 16GB RAM / Nvidia GTX 750 TI (Treiber 375.82-8) / HP LP3065

Benutzeravatar
geier22
Beiträge: 2366
Registriert: 23.02.2014 09:43:01
Wohnort: Berlin

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von geier22 » 11.10.2015 05:59:17

Eine böse Vermutung hab ich jetzt:
1) SparkyLinux / Mate runtergeladen (Basis wie XFCE: Stretch)
In VM installiert
Iceweasel und Icedove deinstalliert
apt dist-upgrade
Firefox installiert
brav alle gstreamer- Komponenten installiert + VLC Plugin + Flash Plugin non free
Youtube Video -----> Absturz mit gleichen Meldungen :idea: :idea:

2) Original Debian XFCE (stretch) in VM Installiert
Vorgehen wie bei sparkyLinux / Mate
Firefox spielt brav alles ab :D :D

Irgend etwas scheint also bei SparkyLinunx bei den Updates nicht richtig zu laufen. Denn in meinem Hauptsystem lief der FF bis vor kurzem ja auch
problemlos. Schade - aber immerhin eine Spur
4.13.0-1-amd64 #1 SMP Debian 4.13.4-2 (2017-10-15) (Buster)/ XFCE 4.12.3 / Asrock Fatal1ty 970 Performance 3.1 / AMD FX-6300 / 16GB RAM / Nvidia GTX 750 TI (Treiber 375.82-8) / HP LP3065

Benutzeravatar
geier22
Beiträge: 2366
Registriert: 23.02.2014 09:43:01
Wohnort: Berlin

Re: XFCE / Stretch: Youtube Video : Firefox stürzt ab

Beitrag von geier22 » 11.10.2015 06:26:22

Da wird doch der Hund in der Pfanne verrückt 8O 8O
Wollte gerade den Rechner ausschalten, da seh ich diesen Thread
kalle123 hat geschrieben: Hab etwas im Netzt gesucht und schliesslich in iceweasel mit about:config "media.gstreamer.enabled" auf FALSE gesetzt.
Seitdem funktioniert iceweasel wieder.
Bin etwas ratlos .....
Ich denk kanste ja mal probieren (SparkyLinux: Mate und XFCE), schaden tuts ja eh nicht mehr
Ergebniss: Alle Firefoxe laufen wieder so wie es sein soll. :facepalm: :facepalm: :THX: :THX: :hail: :hail:

Warum auch immer: Thema gelöst

Edit und weitere Nachforschungen:

die beiden Pakete kommen aus debian- multimedia und bei SparkyLinunx ist das Multimedia- Repo standardmäßig aktiviert !!

Multimedia: gstreamer1.0-libav Vers:. 1:1.6.0-dmo1
in den Debian: gstreamer1.0-libav (1.6.0-1)
Multimedia: gstreamer0.10-ffmpeg Vers:. 1:0.10.13-dmo2
in Debian nur in wheezy und sid
Vielleicht liegt es daran :?: :?:
4.13.0-1-amd64 #1 SMP Debian 4.13.4-2 (2017-10-15) (Buster)/ XFCE 4.12.3 / Asrock Fatal1ty 970 Performance 3.1 / AMD FX-6300 / 16GB RAM / Nvidia GTX 750 TI (Treiber 375.82-8) / HP LP3065

WernerFP
Beiträge: 261
Registriert: 30.07.2013 11:16:58

Re: [gelöst] XFCE / Stretch: Youtube Video : Firefox stürzt

Beitrag von WernerFP » 11.10.2015 19:11:55

Der Schalter ist nun so gesetzt, dass nicht mehr auf die GStreamer-Codecs zugegriffen wird. Trotzdem ist irgendwo bei den GStreamer-Komponenten der Wurm drin.

Bei meiner Stretch-Xfce4-Firefox & Iceweasel 40-Installation läuft es mit media.gstreamer.enabled;true einwandfrei. An deinem Nvidia wird's m. E. nicht liegen, weil keine Hardwarebeschleunigung aktiv ist.

Abgesehen von deiner Nvidia-Grafik ist der einzige mir ersichtliche Unterschied unserer Installation das Paket Debiangstreamer0.10-ffmpeg, das bei dir installiert ist.
Das Paket ist derzeit nicht in Stretch enthalten und auch in Sid sind Abhängigkeiten unerfüllt. Es sieht aus, als wenn das Paket gänzlich aus Debian entfernt werden wird. Beim meinem Test, das Paket aus Wheezy per dpkg -i zu installieren, werden diese Fehler ausgeworfen:

Code: Alles auswählen

Vorbereitung zum Entpacken von gstreamer0.10-ffmpeg_0.10.13-5_amd64.deb
...
Entpacken von gstreamer0.10-ffmpeg:amd64 (0.10.13-5) ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gstreamer0.10
-ffmpeg:amd64:
 gstreamer0.10-ffmpeg:amd64 hängt ab von libavcodec53 (>= 5:0.8-2~) |
libavcodec-extra-53 (>= 5:0.8-2~); aber:
  Paket libavcodec53:amd64 ist nicht installiert.
  Paket libavcodec-extra-53 ist nicht installiert.
 gstreamer0.10-ffmpeg:amd64 hängt ab von libavformat53 (>= 5:0.8-2~);
aber:
  Paket libavformat53:amd64 ist nicht installiert.
 gstreamer0.10-ffmpeg:amd64 hängt ab von libavutil51 (>= 5:0.8-2~);
aber:
  Paket libavutil51:amd64 ist nicht installiert.
 gstreamer0.10-ffmpeg:amd64 hängt ab von libpostproc52 (>= 5:0.8-2~);
aber:
  Paket libpostproc52 ist nicht installiert.
 gstreamer0.10-ffmpeg:amd64 hängt ab von libswscale2 (>= 5:0.8-2~);
aber:
  Paket libswscale2:amd64 ist nicht installiert.
Meine Vermutung: Beim Abspielen von MPEG4/H264 scheitert die Dekodierung via gstreamer0.10-ffmpeg. Ohne das Paket würde möglicherweise erfolgreich auf gstreamer1.0-libav zugegriffen werden.

Gruß, Werner

Antworten